5.3.0-git
2014-12-23

[#8077] Allow multiple accounts in IMP
Summary Allow multiple accounts in IMP
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester slusarz (at) horde (dot) org
Created 2009-03-12 (2112 days ago)
Due
Updated 2014-10-25 (59 days ago)
Assigned 2013-08-14 (496 days ago)
Resolved 2013-09-18 (461 days ago)
Milestone 6.2
Patch No

History
2014-10-25 23:12:42 Michael Slusarz Comment #32 Reply to this comment
This is not the correct ticket to discuss this.

This ticket was an enhancement request, which was completed.  Further 
enhancements and/or bug reports should be entered in new (or open) 
tickets.
2014-10-25 23:07:59 alucard (at) lotharedon (dot) org Comment #31 Reply to this comment
But however an user is able to move himself an e-mail from a local 
directory to a remote directory. Maybe working on a way to this 
automatically will require as much work as correcting the display of 
the remote folders ?
2014-10-25 21:41:51 azurit (at) pobox (dot) sk Comment #30 Reply to this comment
Yes, you are right, it is allowing to choose remote folders too, i 
didn't notice it and opened new bug report:
https://bugs.horde.org/ticket/13648

But i'm afraid that showing also remote folders is bug here, IMP is 
(currently) not able to save sent message in remote folders.
2014-10-25 18:59:11 alucard (at) lotharedon (dot) org Comment #29 Reply to this comment
About the point 2, in the identity manager we can set a folder where 
the mails must be stored. But Horde seems to ignore it, when it's a 
remote folder (I didn't try with a local folder).
2014-10-25 18:08:15 azurit (at) pobox (dot) sk Comment #28 Reply to this comment
All of these are not bugs/problems but things which were no 
implemented (yet, i hope). I already created these feature requests:
https://bugs.horde.org/ticket/13168
https://bugs.horde.org/ticket/13202

2014-10-25 16:29:15 alucard (at) lotharedon (dot) org Comment #27 Reply to this comment
About this functionnality, I have noticed three problems :
1) I have to re-type every time I login the remote account passwords

2) For sending e-mail with this remote account througt  horde, I use 
an identity. I have configured it for saving the sent e-mail in the 
"Sent" remote directory. However the sent e-mails are still saved in 
the local "Sent" directory.

3) I have configured 3 remote accounts, and 4 identities (1 for the 
main account, and one for each remote account). The remotes identites 
are configured for saving sent e-mails in their "Sent" remote 
directories. Now the three "Sent" remote directories have the same 
name. Maybe should you add the identity names after the directory 
names ?

Best regards
2014-10-20 17:56:59 Michael Slusarz Comment #26 Reply to this comment
That was the best way to have them done.
That is one of the reason why this functionality was so important.
Redirecting will work only for new incoming messages.
That's not the use case for the previous fetchmail system though (i.e. 
a one-time copy of messages from a foreign account).  The new remote 
account access provides the exact same functionality.
2014-10-20 15:46:19 renato (at) modernstuff (dot) com (dot) br Comment #25 Reply to this comment
Customers very often move to our service and wants to bring their 
email account content from previous isp where they did not have access 
to imap service.

That was the best way to have them done.
That is one of the reason why this functionality was so important.
Redirecting will work only for new incoming messages.
2014-10-20 15:41:18 azurit (at) pobox (dot) sk Comment #24 Reply to this comment
Yes it's different but i don't see a reason for fetching e-mails from 
other accounts - why not just redirect them?

I don't know if there's any documentation but you can find it in IMP: 
Preferences - Mail - Remote accounts (under General column).
2014-10-20 15:36:31 renato (at) modernstuff (dot) com (dot) br Comment #23 Reply to this comment
Can you point me to a documentation.
I hardly see it as better since seeing remote accounts is very 
different than transferring messages from them.

But if you give me direction to the documentation I would like to check it.
Thank you
2014-10-20 15:31:44 azurit (at) pobox (dot) sk Comment #22 Reply to this comment
You can't fetch e-mails from other accounts anymore BUT you can 
directly access them which is much better.
2014-10-20 15:12:42 renato (at) modernstuff (dot) com (dot) br Comment #21 Reply to this comment
This function was removed from Horde 5,
How do I downgrade to Horde where I can fetch emails from other isp?

it was really shocking to see it gone, some customers was using this 
functionality.
2013-12-17 11:16:04 Git Commit Comment #20 Reply to this comment
Changes have been made in Git (master):

commit 48220336f898ecc77fbf4c5e6aae492a20dc7a2d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Sep 17 22:49:54 2013 -0600

     [mms] Allow configurable access to remote accounts from within a 
session (Request #8077).

     Going to call this completed - the basic functions seem to work well
     and, at a minimum, it is stable enough to merge into imp_6_2, which
     isn't that close to being released.

  imp/docs/CHANGES |    2 ++
  imp/package.xml  |    2 +-
  2 files changed, 3 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/48220336f898ecc77fbf4c5e6aae492a20dc7a2d
2013-09-18 04:52:45 Michael Slusarz Comment #19
State ⇒ Resolved
Reply to this comment
commit 48220336f898ecc77fbf4c5e6aae492a20dc7a2d
Author: Michael M Slusarz <slusarz at horde.org>
Date:   Tue Sep 17 22:49:54 2013 -0600

     [mms] Allow configurable access to remote accounts from within a 
session (Request #8077).

     Going to call this completed - the basic functions seem to work well
     and, at a minimum, it is stable enough to merge into imp_6_2, which
     isn't that close to being released.

  imp/docs/CHANGES |    2 ++
  imp/package.xml  |    2 +-
  2 files changed, 3 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/48220336f898ecc77fbf4c5e6aae492a20dc7a2d


Marking as resolved.  Code in imp_multiple_accounts will be merged 
into imp_6_2 branch.
2013-08-23 07:18:27 Michael Slusarz Comment #18 Reply to this comment
https://github.com/horde/horde/compare/imp_6_2...imp_multiple_accounts

Link to track/display remote account specific changes.
2013-08-14 20:30:53 Michael Slusarz Comment #17
Milestone ⇒ 6.2
State ⇒ Assigned
Reply to this comment
Fully funded!

https://www.crowdtilt.com/campaigns/imp-multiple-accounts/contributors

This will be in IMP 6.2 (or 7.0, whichever is released next).
2012-08-29 12:28:49 Git Commit Comment #16 Reply to this comment
Changes have been made in Git (master):

commit 88f7e2b8bcff65b0346cdb7d0f61de57d37487a6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jan 30 00:26:05 2012 -0700

     Move AJAX mailbox response generation entirely within IMP_Imap_Tree

     Precursor to implementing Ticket #8077

  imp/js/dimpbase.js           |    2 +-
  imp/lib/Ajax/Application.php |   51 ++++++---------------
  imp/lib/Ajax/Queue.php       |    4 +-
  imp/lib/Imap/Tree.php        |  103 
++++++++++++++++++++++--------------------
  imp/lib/Mailbox.php          |    1 -
  5 files changed, 72 insertions(+), 89 deletions(-)

http://git.horde.org/horde-git/-/commit/88f7e2b8bcff65b0346cdb7d0f61de57d37487a6
2012-08-03 21:54:52 azurit (at) pobox (dot) sk Comment #15 Reply to this comment
any progress on this? thank you for info.
2012-03-28 06:28:39 Michael Slusarz Comment #14
Milestone ⇒ 6+
Reply to this comment
This feature is discussed (in a positive, it just works, sense) a 
lot online because it has been a feature for a long time with 
IMP3/4. It was quite hard to to find this page and properly confirm 
that it is now depreciated in IMP5. I have added a (rather terse, 
sorry, I was suffering a sense of humour failure) note to the Wiki 
page about this.
No, this ticket does not implement the previous functionality.  The 
old code was nothing more than a web interface to a (not very 
optimized) PHP port of fetchmail.  Which wasn't all that useful for 
anyone with more than a few hundred messages, since PHP would time-out 
or memory fail long before you could synchronize an account.

This ticket is instead a request to add foreign accounts to appear 
natively in the UI.  Which would allow access of these accounts 
without expensive overhead (and allow the synchronization of mail 
actions).
From the search results seen before I found this page I imagine that 
hosting providers (plesk/cpanel based) will have a strong incentive 
to get this restored since they have been offering IMP as a mail 
aggregator service to their customers. They may well feel that this 
issue is a blocker for IMP5 adoption.
I would love to see this request also.  But the people that currently 
pay me to work on IMP do not have this as a priority.  Unfortunately, 
that is the reality of the situation, especially for something as 
resource intensive as this request.
2012-03-21 17:17:34 pmijliam11 (at) rcpt (dot) at Comment #13 Reply to this comment
Should've posted the English website:
http://phlymail.com/en/phlymail/lite/
2012-03-21 17:15:28 pmijliam11 (at) rcpt (dot) at Comment #12 Reply to this comment
In case it's of anybodies interest: I switched to PhlyMail which seems 
to be the only product offering a neat integration of multiple email 
accounts in one interface: http://phlymail.com/de/phlymail/lite/
(unfortunately without drag&drop and without a mobile client though)
2012-03-21 13:49:54 owen (at) easytarget (dot) me (dot) uk Comment #11 Reply to this comment
This feature is discussed (in a positive, it just works, sense) a lot 
online because it has been a feature for a long time with IMP3/4. It 
was quite hard to to find this page and properly confirm that it is 
now depreciated in IMP5. I have added a (rather terse, sorry, I was 
suffering a sense of humour failure) note to the Wiki page about this.

From the search results seen before I found this page I imagine that 
hosting providers (plesk/cpanel based) will have a strong incentive to 
get this restored since they have been offering IMP as a mail 
aggregator service to their customers. They may well feel that this 
issue is a blocker for IMP5 adoption.

As per the user below I'd also been hoping to use IMP5 to aggregate 
some external mailboxes into my main mail system, and might well have 
stayed with OpenWebmail if I had seen in advance that I would loose 
this functonality. I have worked around it by running getmail as a 
service on my server, but it's harder to configure and maintain than 
if it was a native IMP function.
2012-02-01 20:23:28 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (refs/heads/ajax_to_core):

commit 88f7e2b8bcff65b0346cdb7d0f61de57d37487a6
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jan 30 00:26:05 2012 -0700

     Move AJAX mailbox response generation entirely within IMP_Imap_Tree

     Precursor to implementing Ticket #8077

  imp/js/dimpbase.js           |    2 +-
  imp/lib/Ajax/Application.php |   51 ++++++---------------
  imp/lib/Ajax/Queue.php       |    4 +-
  imp/lib/Imap/Tree.php        |  103 
++++++++++++++++++++++--------------------
  imp/lib/Mailbox.php          |    1 -
  5 files changed, 72 insertions(+), 89 deletions(-)

http://git.horde.org/horde-git/-/commit/88f7e2b8bcff65b0346cdb7d0f61de57d37487a6
2012-01-28 12:18:19 samuel_wolf (at) web (dot) de Comment #9 Reply to this comment
Would nice to have this function in IMP.
I donate some dollars to Horde LLC today.
2011-11-29 14:04:32 dizzy_devil (at) gmx (dot) net Comment #8 Reply to this comment
I love Horde and honestly the ability to manage multiple imap accounts 
is the only missing feature for me.
2011-07-27 16:51:24 pmijliam11 (at) rcpt (dot) at Comment #7 Reply to this comment
Oh ... that's very sad to hear. :(
I really hope this might change in future...
2011-07-27 04:25:22 Michael Slusarz Comment #6 Reply to this comment
Now reading your explaination gives me some hope. May I ask about 
the progress or even an ata?
Zero progress; no ETA.  Someone will probably need to fund this 
feature in order for it to get done.
2011-07-26 19:57:47 pmijliam11 (at) rcpt (dot) at Comment #5 Reply to this comment
Searching for the best web email client every second page pointed to 
Horde IMP. So I took the time to get it working (the installation 
process took me a couple of days...).

Now having everything set up I notice the for me most important 
feature: to have multiple IMAP accounts accessable at the same time; 
represented in the tree on the left, like e.g. Outlook does.

I was sooo sure that Horde will offer such a feature, but apparently 
not (atm). :(

Now reading your explaination gives me some hope. May I ask about the 
progress or even an ata?
2011-04-06 17:42:25 Michael Slusarz Comment #4
Milestone ⇒ 5.1
Reply to this comment
Aim high...
2010-10-18 21:39:57 Michael Slusarz Comment #3 Reply to this comment
Fetchmail is gone, not to return (for various reasons).  So that is 
not going to change.

The new code will incorporate additional IMAP/POP servers (other than 
the "master" account - the account originally authenticated to and 
hardcoded into the imp configuration files) seamlessly into the IMAP 
tree.  In other words, mailboxes on the other server will behave just 
like local mailboxes.
2010-10-18 10:54:04 cor3huis (at) gmail (dot) com Comment #2 Reply to this comment
This issue's discription/summary is unclear to me. What will be the 
goal/outcome of the improvement.

Note that fetching email is for users in specific situations still 
wished for and needed. A new version of IMP should not cripple old 
features and option IMHO
2009-08-03 05:58:46 Michael Slusarz Milestone ⇒ IMP 5.0
Priority ⇒ 2. Medium
Assigned to Michael Slusarz
 
2009-04-30 16:28:16 Jan Schneider State ⇒ Accepted
 
2009-03-12 18:43:37 Michael Slusarz Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ Allow multiple accounts in IMP
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Remove fetchmail code and allow multiple accounts to be directly 
accessible via folder lists.